#
# spec file for package wdm
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
%define _dminitdir %{_prefix}/lib/X11/displaymanagers

Name:           wdm
BuildRequires:  WindowMaker-devel
BuildRequires:  automake
BuildRequires:  freetype2-devel
BuildRequires:  libselinux-devel
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xt)
Version:        1.28
Release:        244.1
PreReq:         /etc/X11/xdm/xdm-config
Source:         %{name}-%{version}.tar.bz2
Source2:        SUSE.png
Source3:        wdm-config
Source4:        wdmLogin
Source5:        wdm
Patch2:         %{name}-%{version}-pam.patch
Patch3:         %{name}-%{version}-WINGs.patch
Patch4:         %{name}-%{version}-reserve.patch
Patch5:         %{name}-%{version}-composite.patch
Url:            http://voins.program.ru/wdm/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        WINGs Display Manager
License:        GPL-2.0+
Group:          System/X11/Displaymanagers

%description
WDM is a modification and enhancement of X11's XDM that provides a more
flexible login panel while maintaining the basic XDM code to interface
with pam and other packages.



Authors:
--------
    Jerome Alet <alet@unice.fr>
    Gene Czarcinski <genec@mindspring.com>

%define wdmdir /etc/X11/wdm

%prep
%setup
%patch2
%patch3
%patch4
%patch5

%build
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DDEV_RANDOM=\\\"/dev/random\\\""
export CXXFLAGS="$CFLAGS"
%configure \
    --enable-pam \
    --enable-selinux \
    --with-gfxdir=/etc/X11/wdm/pixmaps \
    --with-wdmdir=%{wdmdir} \
    --with-nlsdir=%{_datadir}/locale

%install
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install -m 644 %{S:3} $RPM_BUILD_ROOT/%{wdmdir}
mkdir -p $RPM_BUILD_ROOT/%{wdmdir}/Defaults
install -m 644 %{S:4} $RPM_BUILD_ROOT/%{wdmdir}/Defaults
install -m 644 %{S:2} $RPM_BUILD_ROOT/%{wdmdir}/pixmaps
rm $RPM_BUILD_ROOT/etc/pam.d/wdm
rm `find $RPM_BUILD_ROOT/%{wdmdir} -type f -maxdepth 1 -not -name wdm-config -print`
%find_lang %{name}
mkdir -p %{buildroot}%{_dminitdir}/
cp %{SOURCE5} %{buildroot}%{_dminitdir}/
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/default-displaymanager
ln -s %{_sysconfdir}/alternatives/default-displaymanager %{buildroot}%{_libexecdir}/X11/displaymanagers/default-displaymanager

%post
%{_sbindir}/update-alternatives --install %{_libexecdir}/X11/displaymanagers/default-displaymanager \
  default-displaymanager %{_libexecdir}/X11/displaymanagers/wdm 10

%postun
[ -f %{_libexecdir}/X11/displaymanagers/wdm ] || %{_sbindir}/update-alternatives \
  --remove default-displaymanager %{_libexecdir}/X11/displaymanagers/wdm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.pam TODO
%{_bindir}/wdm*
%{_mandir}/man1/*
%dir %{wdmdir}
%dir %{wdmdir}/pixmaps
%dir %{wdmdir}/Defaults
%dir %{_dminitdir}
%config %{wdmdir}/pixmaps/*
%config %{wdmdir}/Defaults/*
%config(noreplace) %{wdmdir}/wdm-config
%{_dminitdir}/wdm
%{_dminitdir}/default-displaymanager
%ghost %{_sysconfdir}/alternatives/default-displaymanager

%changelog
* Wed Nov 29 2017 crrodriguez@opensuse.org
- FIx BuildRequires to use only what is directly needed, this
  change is required after WindowMaker-devel dependency fixes.
* Thu Oct 12 2017 dimstar@opensuse.org
- Have update-alternatives handle Xinit's integration of the
  displaymanager, replacing /etc/sysconfig/displaymanager
  (boo#1053863).
* Wed Jan 23 2013 mhrusecky@suse.cz
- get rid of %%{suse_update_config}
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Sep 21 2011 eich@suse.com
- Don't use %%{_libexecdir} for init script path, it's not uniformly
  defined on all supported products.
* Tue Sep 20 2011 eich@suse.com
- Change %%{_libdir} to ${_libexecdir}.
* Mon Sep  5 2011 eich@suse.com
- Add %%_libdir/X11 to the list of dirs.
* Wed Aug 31 2011 eich@suse.com
- %%{_libdir}/X11/displaymanagers is no config file.
* Tue Aug 30 2011 eich@suse.com
- Changed %%{_sysconfdir}/X11/displaymanagers to
  %%{_libdir}/X11/displaymanagers.
* Tue Aug 30 2011 eich@suse.com
- add missing "%%dir %%{_sysconfdir}/X11/displaymanagers"
  to specfile.
* Thu Aug 25 2011 eich@novell.com
- wdm: Add startup script file to be sourced by /etc/xinit.d/xdm.
  The display manager stratup script /etc/init.d/xdm should not
  contain any code specific to a display manager. Instead such code
  should live in a script file supplied by the specific dm which
  is sourced by the start script. Those script files will live
  in /etc/X11/displaymanagers/.
* Tue Feb 15 2011 kukuk@suse.de
- Get ride of SuSEconfig.wdm
* Fri Nov 21 2008 nadvornik@suse.cz
- fixed to work with composite extension,
  do not use /dev/mem [bnc#447331]
* Fri Aug 22 2008 prusnak@suse.cz
- enabled SELinux support [Fate#303662]
* Sun Apr 27 2008 ro@suse.de
- remove hermes-devel from buildreq
* Mon Aug 21 2006 nadvornik@suse.cz
- changed prefix to /usr
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 nadvornik@suse.cz
- put locale into /usr/share/locale
* Tue Jul 26 2005 nadvornik@suse.cz
- updated to 1.28
* Wed Feb 23 2005 nadvornik@suse.cz
- WINGs always use utf-8, use bind_textdomain_codeset("wdm", "UTF-8")
* Tue Feb 15 2005 nadvornik@suse.cz
- get list of windowmanagers from /usr/share/xsessions/*.desktop
* Mon Mar 15 2004 nadvornik@suse.cz
- ignore reserve lines in /etc/X11/xdm/Xservers
* Fri Feb 20 2004 nadvornik@suse.cz
- updated to 1.26
- build with -fno-strict-aliasing
- call run_suseconfig
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Fri Jul 25 2003 nadvornik@suse.cz
- updated to 1.25
* Fri Jun 13 2003 kukuk@suse.de
- Install locale into correct directory
* Wed May 28 2003 nadvornik@suse.cz
- remove unpackaged files from buildroot
* Thu May 15 2003 nadvornik@suse.cz
- updated to 1.2.3
- use /etc/pam.d/xdm
* Fri Apr 18 2003 mfabian@suse.de
- fix it to work again after the WindowMaker update
- add "freetype2 freetype2-devel expat" to needeforbuild
  and link against Xft. Make Xft the default in
  /etc/X11/wdm/wdmLogin
- convert all .po files to UTF-8, fix German and Japanese
  translations
- wdm-rreleaseimage.patch: RDestroyImage() is obsolete, replace by
  RReleaseImage() (necessary because of WindowMaker upgrade)
- remove unused fontsettings for Japanese.
* Mon Mar 10 2003 nadvornik@suse.cz
- added pam_resmgr.so to wdm.pamd
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Thu Nov 21 2002 ro@suse.de
- removed duplicate from configure.in
* Wed Oct 23 2002 nadvornik@suse.cz
- set background color
- fixed filelist
* Tue Oct  1 2002 nadvornik@suse.cz
- removed dependency on libPropList
* Mon Sep  2 2002 nadvornik@suse.cz
- fixed usage of pam modules, pam config file copied from xdm [#18668]
- do not read WINGs configuration from /root, use /etc/X11/wdm instead
- use RC_LANG
* Sat Jul 27 2002 kukuk@suse.de
- don't parse rc.config
* Sat Jul 27 2002 kukuk@suse.de
- remove libz from neededforbuild
* Mon Apr 29 2002 nadvornik@suse.cz
- fixed the patch for src/Makefile.am
* Wed Apr  3 2002 nadvornik@suse.cz
- used current gettext
* Tue Mar 12 2002 nadvornik@suse.cz
- added dir /etc/X11/wdm to filelist
* Thu Feb 14 2002 nadvornik@suse.cz
- sourced /etc/sysconfig/language in SuSEconfig.wdm
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Nov 16 2001 nadvornik@suse.cz
- changed LC_MESSAGES to LC_ALL in setlocale [bug #12317]
* Thu Nov  8 2001 nadvornik@suse.cz
- fixed to compile with new automake
* Tue Sep  4 2001 nadvornik@suse.cz
- fixed typo in config file
* Fri Aug 24 2001 ro@suse.de
- removed /lib/security path from pam.d config file
* Fri Aug 10 2001 nadvornik@suse.cz
- created SuSEconfig script for list of available windowmanagers
- now uses the same scripts as xdm
* Mon Jun 11 2001 pblaha@suse.cz
- add lib  hermes  for compile wdm
* Thu May  3 2001 pblaha@suse.cz
- fix suffix for locale messages
* Wed May  2 2001 pblaha@suse.cz
- use DEFAULT_WM for first run
* Thu Apr 12 2001 pblaha@suse.cz
- fix compilation
* Thu Apr  5 2001 pblaha@suse.cz
- patch for long password from Egmont Koblinger
* Tue Mar 13 2001 ro@suse.de
- changed neededforbuild <WindowMaker> to <WindowMaker WindowMaker-devel>
* Mon Feb 26 2001 pblaha@suse.cz
- fix exit wdmLogin option
- fix setings default language for wdmLogin
* Fri Feb  9 2001 ro@suse.de
- fixed include
* Thu Jan 18 2001 pblaha@suse.cz
- use SHADOWFLAG=-DUSESHADOW  to allow login local users
* Thu Dec 21 2000 pblaha@suse.cz
- write licence GPL
* Tue Dec 19 2000 pblaha@suse.cz
- fix problem with default X server  in file Xservers and
- add  germany and japanese locales
- but japanese work only  with patched WINGs
- now is compiled with lib*.a from WindowMaker for
- running without WindowMaker
* Fri Dec  8 2000 pblaha@suse.cz
- remove Requiere tag and fix locales
* Fri Dec  1 2000 pblaha@suse.cz
- create this package with support locales and SuSE Logo Geeko.xpm
